// Pages/yishi/medince_list/index.js
import { API } from './../../../utils/network/api'
import debounce from "./../../../utils/debounce"
let api = new API()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    navbarData: {
    
      showCapsule: 1, //是否显示左上角图标   1表示显示    0表示不显示
      title: '药品清单', //导航栏 中间的标题
    },
    page:1,
    isLoding:false,
    list:[],
    isLock:false,
    per_page:10,
    keyword:'',
  },
  changeInput:debounce(function(event){
    const { value }= event.detail;
    this.setData({
      isLock:false,
      page:1,
      list:[],
      keyword:value
    })
    this.handleGetList();
  },600),
  goSearch(){
    this.setData({
      isLock:false,
      list:[],
      page:1
    })
    this.handleGetList();
  },
  confirmSearch(event){
    const { value }= event.detail;
    this.setData({
      isLock:false,
      list:[],
      page:1,
      keyword:value
    })
    this.handleGetList();
  },
  lower(){
    console.log('===触底了！！===');
  let {page,isLock}=this.data;
   if(!isLock){
        page++;
      this.setData({
        page:page
      });
      this.handleGetList();
   }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  handleGetList(){
    const {page,per_page,keyword,isLoding}=this.data;
    if(isLoding)return false;
    this.setData({
      isLoding:true
    })
    api.getMedinceList({
      page,
      per_page,
      keyword,

    }).then(data=>{
      this.setData({
        isLoding:false
      })
      let result=data.data.data;
      if(result.length==0){
         this.setData({
          isLock:true
        });
        return false;
      }     
      this.setData({
        list:this.data.list.concat(result)
      });
    }).catch(errors => {console.error(errors);})
  },
  onLoad(options) {
    this.handleGetList();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})